Make the issue id from email notifications linkable to issue page

2016-06-27 18:38 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 3.3.1   

Description

The attached patch adds to the "#issue_id" from the email notifications a link to the issue page. This link is very useful when you read

the emails on the phone or small screens and you want to quickly open the issue page.

Currently, you need to scroll down until the end of the email to find the line with the issue subject (h1 element). Also, some email

clients (like Inbox from Google) hide that content after first reply because it find it duplicated. I have attached some examples:

- inbox.png which contains a screenshot with the notification received from #7360 in Inbox. You can observe that in the respective

screen, there is no link to the issue.

- office.png which an example from office 365 popup. Here I need to scroll down to find the issue.

With the attached patch you can easily open the issue page:

 office_with_link.png 

If you consider that this change should contains a test, please let me know.

I've added the link also on issue_add.html.erb only for consistency.

Associated revisions

Revision 15587 - 2016-06-29 17:29 - Jean-Philippe Lang

Make the issue id from email notifications linkable to issue page (#23180).

Patch by Marius BALTEANU.

Revision 15588 - 2016-06-29 17:33 - Jean-Philippe Lang

Adds an assertion for this (#23180).

Revision 15619 - 2016-07-10 09:54 - Jean-Philippe Lang

Merged r15587 and r15588 (#23180).

History

#1 - 2016-06-29 10:20 - Go MAEDA

- Target version set to 3.4.0

Thanks for the improvement.

It works fine for me. Setting target version to 3.4.0.

#2 - 2016-06-29 17:34 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from 3.4.0 to 3.3.1

Patch committed, thanks.

I think we can add this change to 3.3.1.

#3 - 2016-07-10 09:54 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files
